Bug 5843 - Core Dump
Core Dump
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: smbclient
3.0.24
PPC AIX
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 12:12 UTC by Paris Palomado
Modified: 2013-09-02 14:42 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paris Palomado 2008-10-22 12:12:44 UTC
We are running Samba 3.0.24.  We are seeing some core dumps happening on one of our servers.  What we see is a large number of samba processes building up (250+) we see a core dump and the number of processes go down(~80).  We've recently mades changes to our samba config that has reduced this occurence drastically from every day to once every 3 or 4 days.  What other issues would cause this situation.

smb.conf details
[global]
        workgroup = wg
        realm = realm.AD # RECENTLY ADDED was realm.com
        netbios name = uxp20
        interfaces = 192.168.94.60/255.255.255.0 # Added this to clear up issues with back office
        server string =  Samba Server 3.0.24
        security = SERVER
        map to guest = Bad User
        password server = ldapcml.realm.ad
        syslog = 0
        log file = /var/opt/samba/log.%m
        max log size = 100
        preferred master = No
        local master = No
        domain master = No
        wins server = 205.144.116.10
        read only = No
        short preserve case = No
        dos filetime resolution = Yes
        use spnego = no  # another addition from suggestion on samba.org

#Coredump details
LABEL:          CORE_DUMP
IDENTIFIER:     40E9A4E1

Date/Time:       Wed Oct 22 09:32:21 EDT 2008
Sequence Number: 301134
Machine Id:      000A441ED600
Node Id:         uxp20
Class:           S
Type:            PERM
Resource Name:   SYSPROC

Description
SOFTWARE PROGRAM ABNORMALLY TERMINATED

Probable Causes
SOFTWARE PROGRAM

User Causes
USER GENERATED SIGNAL

        Recommended Actions
        CORRECT THEN RETRY

Failure Causes
SOFTWARE PROGRAM

        Recommended Actions
        RERUN THE APPLICATION PROGRAM
        IF PROBLEM PERSISTS THEN DO THE FOLLOWING
        CONTACT APPROPRIATE SERVICE REPRESENTATIVE

Detail Data
SIGNAL NUMBER
           6
USER'S PROCESS ID:
               2982088
FILE SYSTEM SERIAL NUMBER
          10
INODE NUMBER
       73929
PROCESSOR ID
          -1
CORE FILE NAME
/opt/pware/samba/3.0.24/var/cores/smbd/core
PROGRAM NAME
smbd
STACK EXECUTION DISABLED
           0
COME FROM ADDRESS REGISTER
??
ADDITIONAL INFORMATION
pthread_k 88
??
_p_raise 58
raise 30
abort B8
dump_core E8
exit_serv 1F8
exit_serv 18
reply_ech 2A8
switch_me 498
smbd_proc 714
main 1010
__start 8C

Symptom Data
REPORTABLE
1
INTERNAL ERROR
0
SYMPTOM CODE
PCSS/SPI2 FLDS/smbd SIG/6 FLDS/dump_core VALU/e8

messages in log.smbd

[2008/10/22 08:58:30, 0] lib/util_sock.c:set_socket_options(261)
  Failed to set socket option TCP_NODELAY (Error Invalid argument)
[2008/10/22 08:58:30, 0] lib/util_sock.c:get_peer_addr(1229)
  getpeername failed. Error was Socket is not connected
[2008/10/22 09:28:46, 0] lib/util_sock.c:set_socket_options(261)
  Failed to set socket option TCP_NODELAY (Error Invalid argument)
[2008/10/22 09:28:46, 0] lib/util_sock.c:get_peer_addr(1229)
  getpeername failed. Error was Socket is not connected
[2008/10/22 09:45:21, 0] lib/util_sock.c:set_socket_options(261)
  Failed to set socket option TCP_NODELAY (Error Invalid argument)
[2008/10/22 09:45:21, 0] lib/util_sock.c:get_peer_addr(1229)
  getpeername failed. Error was Socket is not connected
[2008/10/22 10:21:38, 0] lib/util_sock.c:set_socket_options(261)
  Failed to set socket option TCP_NODELAY (Error Invalid argument)
[2008/10/22 10:21:38, 0] lib/util_sock.c:get_peer_addr(1229)
  getpeername failed. Error was Socket is not connected
[2008/10/22 10:35:01, 0] lib/util_sock.c:set_socket_options(261)
  Failed to set socket option TCP_NODELAY (Error Invalid argument)
[2008/10/22 10:35:01, 0] lib/util_sock.c:get_peer_addr(1229)
  getpeername failed. Error was Socket is not connected
Comment 1 Jeremy Allison 2008-10-22 12:28:41 UTC
Please add the following to your [global] section in your smb.conf.

panic action = "/bin/sleep 90000"

The next time smbd crashes, it will leave a sleep child process running and not dissapear. Find the parent of the sleep process, and then attach to that process with the system debugger (gdb would work). Then capture a backtrace and attach it to this bug report please.

Please ask questions if you need further help on doing this.

Thanks,

Jeremy.
Comment 2 Björn Jacke 2013-09-02 14:42:09 UTC
no feedback, probably fixed, closing this bug.